import threading

from lib.controller import *
from lib.display import *
from lib.machine_learning import *


def on_txt_button_OK_clicked(event):
    threading.Thread(target=train, args=('OK', ), daemon=True).start()


def on_txt_button_NOK_clicked(event):
    threading.Thread(target=train, args=('NOK', ), daemon=True).start()


def on_txt_button_detect_clicked(event):
    threading.Thread(target=detect, daemon=True).start()


display.button_clicked("txt_button_OK", on_txt_button_OK_clicked)
display.button_clicked("txt_button_NOK", on_txt_button_NOK_clicked)
display.button_clicked("txt_button_detect", on_txt_button_detect_clicked)


update_stat()
display.set_attr("txt_button_detect.enabled", str(True).lower())
display.set_attr("txt_button_OK.enabled", str(True).lower())
display.set_attr("txt_button_NOK.enabled", str(True).lower())
while True:
    pass


